Ask Your Question

Revision history [back]

click to hide/show revision 1
initial version

Is there a way to specify ipmi_protocol_version for a node in ironic ?

Hello, I try to manage some servers which doesn't support IPMI v2, and I'm looking for a way to tell ironic to not use IPMI v2 for those. I can see in the logs the default action :

Command: ipmitool -I lanplus -H 192.168.10.2 -L ADMINISTRATOR -U USERID -R 12 -N 5 -f /tmp/tmpMKt9ni power status Exit code: 1 Stdout: '' Stderr: 'Error: Unable to establish IPMI v2 / RMCP+ session\nError: Unable to establish IPMI v2 / RMCP+ session\nError: Unable to establish IPMI v2 / RMCP+ session\nUnable to get Chassis Power Status\n'.

I tried this command ironic node-update $NODE add properties/ipmi_protocol_version='1.5' and i got the same result after that

Thanks in advance